package com.gic.enterprise.service.outer;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.util.PageHelperUtils;
import com.gic.enterprise.dto.BillingPayInfoDTO;
import com.gic.enterprise.qo.BillListQueryQO;
import com.gic.enterprise.service.BillingPayInfoApiService;
import com.gic.enterprise.service.BillingPayInfoService;

@Service("billingPayInfoApiService")
public class BillingPayInfoApiServiceImpl implements BillingPayInfoApiService{
    @Autowired
    private BillingPayInfoService billingPayInfoService;
    @Override
    public ServiceResponse<Page<BillingPayInfoDTO>> listBill(BillListQueryQO params) {
        com.github.pagehelper.Page page = billingPayInfoService.listBilling(params);
        Page<BillingPayInfoDTO> resultPage = PageHelperUtils.changePageHelperToCurrentPage(page, BillingPayInfoDTO.class);
        return ServiceResponse.success(resultPage);
    }
}
